#!/usr/bin/env python2
# -*- coding: latin-1 -*-
#perde la traccia qualche volta

import cv2
import numpy

#import sys

cascPath = "haarcascade_frontalface_alt2.xml"
faceCascade = cv2.CascadeClassifier(cascPath)
i = 0
counter = 0
video_capture = cv2.VideoCapture(0)
video_capture.set(cv2.cv.CV_CAP_PROP_FRAME_WIDTH, 320)  # I have found this to be about the highest-
video_capture.set(cv2.cv.CV_CAP_PROP_FRAME_HEIGHT, 240)

while True:
    i+=1
    print("i",i)
    # Capture frame-by-frame
    ret, frame = video_capture.read()
    gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
    
    cv2.imwrite('/home/pi/QBO/QBO_Test/SnapshotTest.jpg',gray)
    faces = faceCascade.detectMultiScale(
        gray,
        scaleFactor=1.03,
        minNeighbors=1,
        minSize=(80, 80),
        flags=cv2.cv.CV_HAAR_SCALE_IMAGE
    )
    #print ("FACES",faces)
    # Draw a rectangle around the faces
    for (x, y, w, h) in faces:
        cv2.rectangle(frame, (x, y), (x+w, y+h), (0, 255, 0), 2)

    # Display the resulting frame
    #cv2.imshow('img', gray)
    if faces != ():
        counter+=1
        cv2.putText(frame, "Cont: {}".format(counter), (10, 50),
			cv2.FONT_HERSHEY_SIMPLEX, 0.5, (0, 0, 255), 2)	
        cv2.imwrite('/home/pi/QBO/QBO_Test/SnapshotTest.jpg',frame)
        
        print("FACE counter",counter)
    else:
        print("no face")
    
    #print("contatore",counter)
    cv2.imshow('Video', frame)
    delta = (counter*100/i)
    print("delta",delta)
    if cv2.waitKey(1) & 0xFF == ord('q'):
        break

# When everything is done, release the capture
video_capture.release()
cv2.destroyAllWindows()
