#!/usr/bin/env python2
# -*- coding: latin-1 -*-

import sys
import yaml
import subprocess

# read config file
config = yaml.safe_load(open("configQbo.yml"))
print(str(config["volume"]))
phrase = "stò imparando a parlare in italiàno"
def Speech_it(text_to_speech ):
    global config
    speak = 'pico2wave -l \"it-IT\" -w //home/pi/QBO/QBO_BETA_0/pico2wave.wav "<volume level=\'{}\'>{}" && aplay -D convertQBO /home/pi/QBO/QBO_BETA_0/pico2wave.wav'.format(config['volume'],text_to_speech)
    subprocess.call(speak, shell=True)
    print("**********")
    print("speak",speak)

if __name__ == "__main__":
    if len(sys.argv) > 1:
        action = sys.argv[1]
    else:
        action = "default"
       

    if action == "custom":
        custom = sys.argv[2]
        print("sys...",sys.argv[2])
        SpeechText_2(custom, custom)

    elif action == "update":
        SpeechText_2("Update completed. Wait while I restart.",
                     "Il sistema si stà aggiornando. aspetta che lo rilancio"
                     "El sistema se ha actualizado correctamente. Espera mientras reinicio.")

    else:
        print("len sys",len(sys.argv)) #test
        print(sys.argv)
        #Speech_it("eccoquà, trallallà")
        Speech_it(phrase)
