#!/usr/bin/env python2
# -*- coding: latin-1 -*-

import sys
import yaml
import subprocess

# read config file
config = yaml.safe_load(open("configQbo.yml"))
 
def SpeechText_2(text_english, text_italian, text_spain):
    global config
    
    lang_code = 'en-US'
    text = text_english
    if config['language'] == 'italian':
        lang_code = 'it-IT'
        text = text_italian
    if config['language'] == 'spanish':
        lang_code = 'es-ES'
        text = text_spain

    speak = 'pico2wave -l "{}" -w /pico2wave.wav "<volume level=\'{}\'>{}" && aplay -D convertQBO pico2wave.wav'.format(lang_code, config['volume'], text)
    subprocess.call(speak, shell=True)

if __name__ == "__main__":
    if len(sys.argv) > 1:
        action = sys.argv[1]
    else:
        action = "default"
       

    if action == "custom":
        custom = sys.argv[2]
        SpeechText_2(custom, custom)

    elif action == "update":
        SpeechText_2("Update completed. Wait while I restart.",
                     "Il sistema si stà aggiornando. aspetta che lo rilancio"
                     "El sistema se ha actualizado correctamente. Espera mientras reinicio.")

    else:
        print("len sys",len(sys.argv)) #test
        SpeechText_2("hellow",
                     "Ciao",
                     "hola")
